package svc

import (
	"github.com/zeromicro/go-zero/zrpc"
	"jyBXBuyer/api/internal/config"
	"jyBXBuyer/rpc/bxbuyer"
)

type ServiceContext struct {
	Config config.Config
	Buyer  bxbuyer.Bxbuyer
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config: c,
		Buyer:  bxbuyer.NewBxbuyer(zrpc.MustNewClient(c.Buyer)),
	}
}
